package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.CphProRank;
import com.srs.comprehensive.domain.CphProRanking;
import com.srs.comprehensive.domain.Dto.CphProRankingDto;
import com.srs.comprehensive.domain.Vo.CphProRankingVo;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 平均学分绩总排名Service接口
 *
 * @author srs
 * @date 2024-02-19
 */
public interface ICphProRankingService extends IService<CphProRanking> {


    public AjaxResult doImport(List<CphProRanking> param);

    /**
     * 查询平均学分绩总排名
     *
     * @param id 平均学分绩总排名主键
     * @return 平均学分绩总排名
     */
    public CphProRanking selectCphProRankingById(Long id);

    /**
     * 查询平均学分绩总排名列表
     *
     * @param cphProRanking 平均学分绩总排名
     * @return 平均学分绩总排名集合
     */
    List<CphProRanking> selectCphProRankingList(CphProRanking cphProRanking);

    /**
     * 新增平均学分绩总排名
     *
     * @param cphProRanking 平均学分绩总排名
     * @return 结果
     */
    int insertCphProRanking(CphProRanking cphProRanking);

    /**
     * 修改平均学分绩总排名
     *
     * @param cphProRanking 平均学分绩总排名
     * @return 结果
     */
    int updateCphProRanking(CphProRanking cphProRanking);

    /**
     * 批量删除平均学分绩总排名
     *
     * @param ids 需要删除的平均学分绩总排名主键集合
     * @return 结果
     */
    int deleteCphProRankingByIds(Long[] ids);

    /**
     * 删除平均学分绩总排名信息
     *
     * @param id 平均学分绩总排名主键
     * @return 结果
     */
    int deleteCphProRankingById(Long id);

    String importUser(List<CphProRankingDto> rankListDto, long operName);

    List<CphProRankingVo> getRankinginfo(CphProRanking cphProRanking);

    List<CphProRank> getRankList(CphProRank cphProRanking);
}
